{% extends 'base.html' %}

{% block css %}
    <link rel="stylesheet" href="/static/about.css" />
    <style>
        {{ extended_css | safe }}   {# nosemgrep #}
    </style>
{% endblock %}

{% block page %}
<main>
    <section id="text1" class="left-box">{% block text1 %}{% endblock %}</section>
    <figure id="map" class="right-img"><figcaption style="display: none">Map</figcaption></figure>
    <script>
        window.addEventListener('load', (event) => {
            var req = new XMLHttpRequest();
            req.open('GET', '{{ url_for(".map") }}', false);  // nosemgrep
            req.send(null);
            if(req.status == 200) {
                var fig = document.getElementById("map");
                fig.innerHTML = req.responseText;
            }
        })
    </script>
    <section id="text2" class="right-box-2">{% block text2 %}{% endblock %}</section>
    <section id="affiliated" class="floor-box">{% block affiliated %}{% endblock %}</section>
</main>
{% endblock %}